# Intro
Glogger is a customisable, statically generated blogging frontend, designed for gemini but can be used elsewhere. 
It is written in python and everytime a new post is made, that post is added to a plaintext file called posts.py, 
Glogger uses this file to build a frontend with a customisable format.
=> gemini://deadvey.com/gemlog Example of Glogger in action

# Command line options 
```--help``` Shows help text
```--rebuild``` Rewrite every static page in the site
```--config={configuration file}``` Specifiy the file path of the configuration file, default: config.py

# Setup
## Prerequisits:
* python3.12 or later (might work on other versions)
* click: `pip install click`
* A gemini/web server
* A text editor (eg vim or nano)

## Setup program
```
# First, clone the project into a new place
git clone https://git.javalsai.tuxcord.net/deadvey/Glogger.git
cd Glogger

# Setup a configuration
mv example.config.py config.py
vim config.py # Or your chosen text editor
# Once you've finished editing your configuration, change autogenerated to False

# Run the program
python3 glogger.py
# Glogger should generate the required files upon first run
```

# TO DO
* Activity Pub support
* Newsletter support
* Add ATOM support
* Properly comment everything
* Better logging to help debug
* Make it generally more reliable/less buggy
